Bug 543659 - Repo View page not providing a default sort column
Repo View page not providing a default sort column
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Content (Show other bugs)
unspecified
All Linux
low Severity low (vote)
: ---
: ---
Assigned To: Charles Crouch
sprint_3
: SubBug
Depends On:
Blocks: rhq_spearhead rhq_core_next
  Show dependency treegraph
 
Reported: 2009-12-02 14:43 EST by Corey Welton
Modified: 2015-02-01 18:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-02 13:58:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2009-12-02 14:43:04 EST
Description of problem:
When viewing a repo, there is no column upon which a default sort is applied.

Version-Release number of selected component (if applicable):


How reproducible:
Every time.

Steps to Reproduce:
1. begin tail of server logfile
2. Create an RHN content provider
3. create an repo associated with CP
4. view repo
5. Observe UI, output in logfile.
  
Actual results:
* Logfile output - 

2009-12-02 14:36:04,593 WARN  [org.rhq.core.domain.util.PersistenceUtility] Queries should really supply default sort columns. Caller did not: org.rhq.enterprise.server.content.RepoManagerBean.findAssociatedDistributions(RepoManagerBean.java:874)
2009-12-02 14:36:04,600 WARN  [org.rhq.core.domain.util.PersistenceUtility] Queries should really supply default sort columns. Caller did not: org.rhq.enterprise.server.content.RepoManagerBean.findAssociatedDistributions(RepoManagerBean.java:874)
2009-12-02 14:36:04,696 WARN  [org.jboss.seam.ui.renderkit.DefaultActionRendererBase] Must set an id for the default action source

* No column sort indicators appear for various tables in the UI (although this may not be expected?  Not sure)

Expected results:

* A default sort should probably be supplied for the tables in the UI.
* Maybe a column sort UI indicator in the affected table(s)?

Additional info:
I don't seem to get this to occur on other similar UI pages (i.e., content provider view).  However, it does seem to consistently occur anytime user loads a specific repo view in the UI.
Comment 1 wes hayutin 2010-02-16 11:57:50 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 2 wes hayutin 2010-02-16 12:02:44 EST
making sure we're not missing any bugs in rhq_triage

Note You need to log in before you can comment on or make changes to this bug.